fail to install dlux-web [closed]

asked 2016-09-12 01:29:53 -0800

vinllen gravatar image

I git clone dlux form github, and then switch branch to release/beryllium, and issue occurs when i execute mvn clean install -DskipTests:

...
[ERROR] node-pre-gyp ERR! Tried to download: https://fsevents-binaries.s3-us-west-2.amazonaws.com/v1.0.14/fse-v1.0.14-node-v14-linux-x64.tar.gz
[ERROR] node-pre-gyp ERR! Pre-built binaries not found for fsevents@1.0.14 and node@0.12.7 (node-v14 ABI) (falling back to source compile with node-gyp)
[ERROR] Usage: gyp_main.py [options ...] [build_file ...]
[ERROR]
[ERROR] gyp_main.py: error: no such option: --no-parallel
[ERROR] gyp ERR! configure error
[ERROR] gyp ERR! stack Error: `gyp` failed with exit code: 2
[ERROR] gyp ERR! stack     at ChildProcess.onCpExit (/home/chenxing05/beryllium/dlux/dlux-web/node/npm/node_modules/node-gyp/lib/configure.js:357:16)
[ERROR] gyp ERR! stack     at ChildProcess.emit (events.js:110:17)
[ERROR] gyp ERR! stack     at Process.ChildProcess._handle.onexit (child_process.js:1074:12)
[ERROR] gyp ERR! System Linux 3.2.60
[ERROR] gyp ERR! command "node" "/home/chenxing05/beryllium/dlux/dlux-web/node/npm/node_modules/node-gyp/bin/node-gyp.js" "configure" "--fallback-to-build" "--module=/home/chenxing05/beryllium/dlux/dlux-web/node_modules/fsevents/lib/binding/Release/node-v14-linux-x64/fse.node" "--module_name=fse" "--module_path=/home/chenxing05/beryllium/dlux/dlux-web/node_modules/fsevents/lib/binding/Release/node-v14-linux-x64"
[ERROR] gyp ERR! cwd /home/chenxing05/beryllium/dlux/dlux-web/node_modules/fsevents
[ERROR] gyp ERR! node -v v0.12.7
[ERROR] gyp ERR! node-gyp -v v2.0.2
[ERROR] gyp ERR! not ok
[ERROR] node-pre-gyp ERR! build error
[ERROR] node-pre-gyp ERR! stack Error: Failed to execute 'node-gyp configure --fallback-to-build --module=/home/chenxing05/beryllium/dlux/dlux-web/node_modules/fsevents/lib/binding/Release/node-v14-linux-x64/fse.node --module_name=fse --module_path=/home/chenxing05/beryllium/dlux/dlux-web/node_modules/fsevents/lib/binding/Release/node-v14-linux-x64' (1)
[ERROR] node-pre-gyp ERR! stack     at ChildProcess.<anonymous> (/home/chenxing05/beryllium/dlux/dlux-web/node_modules/fsevents/node_modules/node-pre-gyp/lib/util/compile.js:83:29)
[ERROR] node-pre-gyp ERR! stack     at ChildProcess.emit (events.js:110:17)
[ERROR] node-pre-gyp ERR! stack     at maybeClose (child_process.js:1015:16)
[ERROR] node-pre-gyp ERR! stack     at Process.ChildProcess._handle.onexit (child_process.js:1087:5)
[ERROR] node-pre-gyp ERR! System Linux 3.2.60
[ERROR] node-pre-gyp ERR! command "node" "/home/chenxing05/beryllium/dlux/dlux-web/node_modules/fsevents/node_modules/.bin/node-pre-gyp" "install" "--fallback-to-build"
[ERROR] node-pre-gyp ERR! cwd /home/chenxing05/beryllium/dlux/dlux-web/node_modules/fsevents
[ERROR] node-pre-gyp ERR! node -v v0.12.7
[ERROR] node-pre-gyp ERR! node-pre-gyp -v v0.6.29
[ERROR] node-pre-gyp ERR! not ok
...
[INFO] dlux.core.resources ............................... SUCCESS [0.247s]
[INFO] dlux.common.topbar.resources ...................... SUCCESS [0.259s]
[INFO] dlux.resources .................................... SUCCESS [0.223s]
[INFO] DLUX - DLUX Static Web ............................ FAILURE [1:37.365s]
[INFO] loader ............................................ SKIPPED
[INFO] loader.implementation ............................. SKIPPED
[INFO] DLUX - Bundles .................................... SKIPPED
...
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 1:49.011s
[INFO] Finished at: Mon Sep 12 16:25:50 CST 2016
[INFO] Final Memory: 53M/921M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal com.github.eirslett:frontend-maven-plugin:0.0.24:grunt (grunt) on project dlux-web: Failed to run task: 'grunt --no-color' failed. (error code 3) -> [Help 1]
[ERROR]

I don't kown the reason, any suggestion? thankyou

edit retag flag offensive reopen merge delete

Closed for the following reason the question is answered, right answer was accepted by vinllen
close date 2016-09-20 00:24:06

Comments

@vinllen Is there any proxy configured or any download limit ?

bhavesh07 ( 2016-09-20 00:17:03 -0800 )edit

sove it already, thanks @bhavesh07

vinllen ( 2016-09-20 00:23:29 -0800 )edit

Hi @vinllen, I am also experiencing the same issue... and I don't know the root cause. How did you solve it?

ricardo.i2cat ( 2017-04-18 09:00:58 -0800 )edit

Hi all, at the end I could fix it. This error was related to a pending dependency of PhantomJS (libfontconfig.so.1). Hope it helps to anyone who deals with the same issue

ricardo.i2cat ( 2017-04-20 08:03:32 -0800 )edit